<?php
/**
* Immo Manager verhuur op jaarbasis
*
*/

/**
* Veiligheid controle ...
*/

define('dArKCMS', true);

/**
* Includes ophalen ...
*/

include("../../includes/_darkcmsConfiguratie.php"); 
include("../../includes/class.sessieBeheer.php");
include("../../includes/_darkcmsCore.php");
include("includes/_modFunkties.php");
include("includes/upload.class.php");
include("includes/upl.class.php");

/**
* Taal ophalen ...
*/

$CoreTaal	= strtoupper($_GET['tl']); if ($CoreTaal == ''){$CoreTaal = 'NL';}

if (($CoreTaal != 'NL') && ($CoreTaal != 'FR')){ 
	$CoreTaal = 'NL'; 
}

/**
* CoreTaal ophalen ...
*/

include("../../talen/_core".$CoreTaal.".php");

/**
* Module Taal ophalen ...
*/

include("talen/_modTaal".$CoreTaal.".php");

/**
* Diverse akties gaan uitvoeren ...
*/

switch ($_GET['a']){

	case "logUit" :
		$session->uitloggen();
	break;

}	

/**
 * Gebruiker is ingelogd ...
 */

if($session->checkLogin()){
	
	switch ($_GET['a']){

	case "Toevoegen" :

		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (4,$CoreTaal);
		Toevoegen();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
		
	break;
	
	case "Opslaan" :
	
		$nTaal	= strtoupper($_GET['nTaal']); if ($nTaal == ''){$nTaal = $CoreTaal;}
	
		if(!get_magic_quotes_gpc()) {
		
			$titel 	= addslashes($_POST['titel']);
			$omschrijving	= addslashes($_POST['omschrijving']);
			$weblink = addslashes ($_POST['weblink']);
						
		} else {
 		
			$titel = ($_POST['titel']);
			$omschrijving = ($_POST['omschrijving']);
			$weblink = ($_POST['weblink']);
			
 		}
		
		$dbconnect		= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 		= mysql_select_db (DBnaam,$dbconnect);
		
		$SQL = "INSERT INTO mod_WebLinks ( WebLink, Titel, Omschrijving, Publiceren) VALUES ('$weblink','$titel','$omschrijving','0')";
		
		$result = mysql_query ($SQL) OR DIE(mysql_error());
		mysql_close($dbconnect);
		header ('location: index.php?tl='.$CoreTaal);

	break;

	case "DetailsOpslaan" :
	
		$nTaal	= strtoupper($_GET['nTaal']); if ($nTaal == ''){$nTaal = $CoreTaal;}
		$id = $_GET['id'];	
		
		if(!get_magic_quotes_gpc()) {
		
			$titel 	= addslashes($_POST['titel']);
			$omschrijving	= addslashes($_POST['omschrijving']);
			$omschrijving_fr	= addslashes($_POST['omschrijving_fr']);
			$weblink = addslashes ($_POST['weblink']);
						
		} else {
 		
			$titel = ($_POST['titel']);
			$omschrijving = ($_POST['omschrijving']);
			$omschrijving_fr = ($_POST['omschrijving_fr']);
			$weblink = ($_POST['weblink']);
			
 		}
		
		$dbconnect		= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 		= mysql_select_db (DBnaam,$dbconnect);
		
		$SQL = "UPDATE mod_WebLinks SET	
							Titel = '$titel',
							WebLink = '$weblink',
							Publiceren = '0',
							Omschrijving = '$omschrijving',
							Omschrijving_fr = '$omschrijving_fr' WHERE id=$id"; 
		
		$result = mysql_query ($SQL) OR DIE(mysql_error());
		mysql_close($dbconnect);
		header ('location: index.php?tl='.$CoreTaal);

	break;
	
		case "Details" :

		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (4,$CoreTaal);
		Details();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
		
	break;
	
	case "fotoOpslaan" :
			
			$Id	= $_GET['id'];	
			$upload = new Upload;
			$type = ($HTTP_POST_FILES [file][type]);
			$lengte = (filesize ($HTTP_POST_FILES [file][tmp_name]));
			$upload->uploadFile('/fotos/','md5',5);
			$naam = $upload->setBestandsnaam ();
			
		 	$dbconnect	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
			$dbselect 	= mysql_select_db (DBnaam,$dbconnect);

			$SQL 				= ("INSERT INTO mod_ArtikelsFotos SET 
												Id = '".$Id."',
												bestandsNaam	= '".$naam."'");
			$sql_result = mysql_query ($SQL);


			mysql_close($dbconnect);

			header("Location: index.php?a=Details&p=1&id=".$Id."&tl=".$CoreTaal);
		
		break;
		
	case "Wissen" :
		
		$id = $_GET['id'];
		$dbconnect	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 	= mysql_select_db (DBnaam,$dbconnect);
		$SQL = ("DELETE FROM mod_WebLinks WHERE id='".$id."'");
//		$sql_result = mysql_query ($SQL);
//		$SQL = ("DELETE FROM mod_ArtikelFotos WHERE Id='".$id."'");
		$sql_result = mysql_query ($SQL);
		mysql_close($dbconnect);
		
		$session->logAktie('Verwijderd','id='.$id);
		header("Location: index.php?tl=".$CoreTaal);
		
	break;
	
	case "wisFoto" :
		
		$FotoId	= $_GET['fotoId'];
		$dbconnect	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 	= mysql_select_db (DBnaam,$dbconnect);
		
		$SQL = ("SELECT * FROM mod_ArtikelsFotos WHERE recId='".$FotoId."'");
		$sql_result = mysql_query ($SQL);
		
		while ($row=mysql_fetch_array ($sql_result)) {
		
			$Fwissen = new Upload;	
			$Fwissen->deleteFile ($row['bestandsNaam'],'/fotos/');
		}

		$SQL = ("DELETE FROM mod_ArtikelsFotos WHERE recId='".$FotoId."'");
		$sql_result = mysql_query ($SQL);
		mysql_close($dbconnect);
		$session->logAktie('Foto verwijderd','id='.$id);
		header("Location: index.php?a=Details&p=1&id=".$_GET['id']."&tl=".$CoreTaal);
		
	break;
	
	
	case "Publiceer" :
			
		$id = $_GET['id'];
		$dbconnect	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 	= mysql_select_db (DBnaam,$dbconnect);
		$SQL 				= ("SELECT * FROM mod_WebLinks WHERE id='".$id."'");
		$sql_result	= mysql_query($SQL);

		while ($row=mysql_fetch_array ($sql_result)) {  

			if ($row['Publiceren']=='1'){ $tmpVar='0'; } else { $tmpVar='1'; }
			$SQL2 = "UPDATE mod_WebLinks SET Publiceren=$tmpVar WHERE id=$id";
			$result = mysql_query ($SQL2) OR DIE(mysql_error());	

		}

		mysql_close($dbconnect);
		header("Location: index.php?tl=".$CoreTaal);
	 	
 	break;
 	
 		default :
		
		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (4,$CoreTaal);
		Overzicht();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
	}	
	

/**
 * Gebruiker is NIET ingelogd ...
 */

} else {
	header("Location: ".CORE_Path."index.php");
}

?>